Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Exception Class Reference
[Common interfaces]

Inheritance diagram for Exception:

## Detailed Description

Exception class.

Defines throwable exception.

## Public Methods

| Exception ()
| Default constructor Creates exception with empty message.
| Exception (const String &msg)
| Creates exception with string message.
| Exception (const Exception &e)
| Creates exception with included exception information.
virtual | ~Exception ()
| Default destructor.
virtual const String * | getMessage () const
| Returns exception message.

## Protected Attributes

StringBuffer * | message
| Internal message container.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.